Register one sent communication
POST
/v1/communications
const url = 'https://api.fromenance.com/v1/communications';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"channel":"email","recipient_hash":"example","message_id":"example","from_address":"example","sent_at":"2026-04-15T12:00:00Z","subject_fingerprint":"example","content_fingerprint":{"simhash":"0x9a4d3c2b1f0e8d7c","sha256":"example"},"link_domains":["example"],"template_id":"example","campaign_id":"example","provider":"api","expires_at":"2026-04-15T12:00:00Z","verify_code":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.fromenance.com/v1/communications \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "channel": "email", "recipient_hash": "example", "message_id": "example", "from_address": "example", "sent_at": "2026-04-15T12:00:00Z", "subject_fingerprint": "example", "content_fingerprint": { "simhash": "0x9a4d3c2b1f0e8d7c", "sha256": "example" }, "link_domains": [ "example" ], "template_id": "example", "campaign_id": "example", "provider": "api", "expires_at": "2026-04-15T12:00:00Z", "verify_code": "example" }'Call at send time. Send only the recipient HMAC and the content fingerprint; never the address or the body. Returns the verify code to place in the footer. Supports Idempotency-Key.
Authorizations
Section titled “Authorizations”Request Body
Section titled “Request Body”Media typeapplication/json
object
channel
string
recipient_hash
required
HMAC-SHA256 of the lowercased, trimmed recipient address keyed with your tenant secret.
string
message_id
required
string
from_address
required
string
sent_at
required
string format: date-time
subject_fingerprint
string
content_fingerprint
object
simhash
required
string
Example
0x9a4d3c2b1f0e8d7csha256
required
string
link_domains
Array<string>
template_id
string | null
campaign_id
string | null
provider
string
expires_at
string format: date-time
verify_code
Only when completing a reserved code; otherwise omit and one is issued.
string
Responses
Section titled “ Responses ”Registered
Media typeapplication/json
object
id
required
string
verify_code
required
string
expires_at
required
string
sandbox
required
boolean
Example
{ "verify_code": "KX73-PQ9G"}Validation
Media typeapplication/problem+json
object
type
required
string
title
required
string
status
required
integer
detail
string
instance
string
errors
Present on validation problems.
Array<object>
object
path
required
string
message
required
string
request_id
string
Example
{ "type": "https://docs.fromenance.com/api/errors#validation", "title": "Validation failed", "status": 400, "detail": "recipient_hash must start with hmac-sha256:", "instance": "/v1/communications"}Rate limited
Media typeapplication/problem+json
object
type
required
string
title
required
string
status
required
integer
detail
string
instance
string
errors
Present on validation problems.
Array<object>
object
path
required
string
message
required
string
request_id
string
Example
{ "type": "https://docs.fromenance.com/api/errors#validation", "title": "Validation failed", "status": 400, "detail": "recipient_hash must start with hmac-sha256:", "instance": "/v1/communications"}